summaryrefslogtreecommitdiffstats
path: root/extra/source/brltty
diff options
context:
space:
mode:
Diffstat (limited to 'extra/source/brltty')
-rwxr-xr-xextra/source/brltty/brltty.SlackBuild23
-rw-r--r--extra/source/brltty/brltty.fix.blanks.diff27
-rw-r--r--extra/source/brltty/slack-desc10
3 files changed, 20 insertions, 40 deletions
diff --git a/extra/source/brltty/brltty.SlackBuild b/extra/source/brltty/brltty.SlackBuild
index b53c14acb..983c777ae 100755
--- a/extra/source/brltty/brltty.SlackBuild
+++ b/extra/source/brltty/brltty.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# Copyright 2010, 2012, 2013, 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2010, 2012, 2013, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,7 +21,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# Set initial variables:
-CWD=`pwd`
+cd $(dirname $0) ; CWD=$(pwd)
if [ "$TMP" = "" ]; then
TMP=/tmp
fi
@@ -31,8 +31,8 @@ fi
PKG=/tmp/package-brltty
PKGNAM=brltty
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -44,6 +44,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
else
@@ -56,11 +64,10 @@ rm -rf $PKG
mkdir -p $PKG
cd $TMP
rm -rf brltty-$VERSION
-tar xvf $CWD/brltty-$VERSION.tar.?z* || exit 1
-cd brltty-$VERSION
+tar xvf $CWD/brltty-$VERSION.tar.?z || exit 1
+cd brltty-$VERSION || exit 1
zcat $CWD/brltty.brlapi.pyx.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/brltty.fix.blanks.diff.gz | patch -p1 --verbose || exit 1
sh autogen
@@ -89,7 +96,7 @@ chmod 755 $PKG/bin/* $PKG/lib${LIBDIRSUFFIX}/brltty/*
# Add udev rules:
mkdir -p $PKG/lib/udev/rules.d
-cp Autostart/Udev/udev.rules $PKG/lib/udev/rules.d/40-usb-brltty.rules
+cp Autostart/Udev/rules $PKG/lib/udev/rules.d/40-usb-brltty.rules || exit 1
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/extra/source/brltty/brltty.fix.blanks.diff b/extra/source/brltty/brltty.fix.blanks.diff
deleted file mode 100644
index 19e4cefec..000000000
--- a/extra/source/brltty/brltty.fix.blanks.diff
+++ /dev/null
@@ -1,27 +0,0 @@
-From 74171852c8c11ebd4725e93cfac6a19906821272 Mon Sep 17 00:00:00 2001
-From: Dave Mielke <dave@mielke.cc>
-Date: Mon, 8 Feb 2016 22:06:45 -0500
-Subject: [PATCH] The Linux screen driver should prefer a blank [U+0020] if the
- same glyph is also used for other characters. (dm)
-
----
- Drivers/Screen/Linux/screen.c | 4 +++-
- 1 file changed, 3 insertions(+), 1 deletion(-)
-
-diff --git a/Drivers/Screen/Linux/screen.c b/Drivers/Screen/Linux/screen.c
-index bb5e273..bc2f2c4 100644
---- a/Drivers/Screen/Linux/screen.c
-+++ b/Drivers/Screen/Linux/screen.c
-@@ -912,7 +912,9 @@ setTranslationTable (int force) {
- const struct unipair *sfm = &screenFontMapTable[--screenFontMapIndex];
-
- if (sfm->fontpos < count) {
-- translationTable[sfm->fontpos] = sfm->unicode;
-+ wchar_t *character = &translationTable[sfm->fontpos];
-+ if (*character == 0X20) continue;
-+ *character = sfm->unicode;
- }
- }
- }
---
-2.1.1.1.g1fb337f
diff --git a/extra/source/brltty/slack-desc b/extra/source/brltty/slack-desc
index d1cb59dbf..55d4fb72e 100644
--- a/extra/source/brltty/slack-desc
+++ b/extra/source/brltty/slack-desc
@@ -1,18 +1,18 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
brltty: brltty (Braille display daemon)
brltty:
brltty: BRLTTY is a daemon which provides access to the Linux console (text
-brltty: mode) for a blind person using a soft braille display. It drives the
+brltty: mode) for a blind person using a soft braille display. It drives the
brltty: braille terminal and provides complete screen review functionality.
brltty:
-brltty: Homepage: http://mielke.cc/brltty/
+brltty: Homepage: http://mielke.cc/brltty/
brltty:
brltty:
brltty: